Answered By: Nancy Schuler
Last Updated: Jul 11, 2017     Views: 4

The Minimum Browser Requirements for OneSearch (and all EBSCO database interfaces) are below.  For additional information, please see the EBSCO support website.

Internet Explorer 10.0 or higher
FireFox Latest version plus one previous version
Safari Latest version plus one previous version
Google Chrome Latest version plus one previous version
Other JavaScript, Cookies Enabled

Related Topics

Does this answer your question?

Does the answer on the left address your question?  If not,

Submit Another Question

Ask A Librarian

Contact:

Peter H. Armacost Library
4200 54th Ave S
St. Petersburg, FL 33711
Email: libref@eckerd.edu
Phone: 727-864-8337

Facebook  Twitter  YouTube Pinterest icon Instagram icon